Customer Seats
Get Claim Info
Get claim information for a customer seat invitation.
GET
/
v1
/
customer-seats
/
claim
/
{invitation_token}
Python
from crosspoint.v2026_10 import Crosspoint
crosspoint = Crosspoint("cxp_oat_xxx")
response = crosspoint.customer_seats.get_claim_info(
'string',
)
print(response)import { createCrosspoint } from "@crossdev/sdk/2026-10";
const crosspoint = createCrosspoint({
accessToken: "cxp_oat_xxx",
});
const response = await crosspoint.customerSeats.getClaimInfo(
"string",
);
console.log(response);
curl --request GET \
--url https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}const options = {method: 'GET'};
fetch('https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"product_name": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"organization_slug": "<string>",
"customer_email": "<string>",
"can_claim": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Response
Successful Response
Read-only information about a seat claim invitation. Safe for email scanners - no side effects when fetched.
Name of the product
ID of the product
Name of the organization
Slug of the organization
Email of the customer assigned to this seat
Whether the seat can be claimed
⌘I
Python
from crosspoint.v2026_10 import Crosspoint
crosspoint = Crosspoint("cxp_oat_xxx")
response = crosspoint.customer_seats.get_claim_info(
'string',
)
print(response)import { createCrosspoint } from "@crossdev/sdk/2026-10";
const crosspoint = createCrosspoint({
accessToken: "cxp_oat_xxx",
});
const response = await crosspoint.customerSeats.getClaimInfo(
"string",
);
console.log(response);
curl --request GET \
--url https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}const options = {method: 'GET'};
fetch('https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosspoint.finance/v1/customer-seats/claim/{invitation_token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"product_name": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"organization_slug": "<string>",
"customer_email": "<string>",
"can_claim": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
